Subject: Re: [PATCH v2] status: long status advice adapted to recent capabilities

From: Taylor Blau <[email-masked]>
Date: Fri, 4 Nov 2022 17:38:40 -0400

On Thu, Nov 03, 2022 at 09:28:56AM -0500, Rudy Rigot wrote:
> One slightly stronger opinion I have, is that if the advice message
> was just
>
> > It took %.2f seconds to enumerate untracked files.
>
> and nothing else, I can definitely see a strong UX downside of not
> giving a hint of next steps for users. Basically, "you have a problem,
> and we're not helping you resolve it". Were you thinking more of
> something like this?
>
> > It took %.2f seconds to enumerate untracked files.
> > Please look up the core.untrackedCache, core.fsmonitor
> > advice.statusUoption, and status.showUntrackedFiles configs
> > for potential solutions.
>
> I'd say that's probably somewhat cryptic and a bit verbose (which is
> what we were trying to avoid by telling them to go see the doc), but
> we wouldn't be leaving the user stranded, so I can see how that would
> work out ok.
>
> I'm very interested in what you think.

I see what you're saying. On the one hand, it feels redundant to say,
"we noticed 'git status' is running slowly for you, try running 'git
help status' to figure out why".

But on the other hand, enumerating all possible configuration values
that you may or may not want to set given your particular circumstance
isn't practical either.

Thinking on it more, I think what you wrote originally is reasonable.

Thanks,
Taylor